Package org.apache.synapse.securevault

## Enum CipherOperationMode

- java.lang.Object
- - java.lang.Enum<CipherOperationMode>
  - - org.apache.synapse.securevault.CipherOperationMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<CipherOperationMode>`

      public enum CipherOperationMode
      extends Enum<CipherOperationMode>

  Cipher Operation Mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DECRYPT` |
    `ENCRYPT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CipherOperationMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CipherOperationMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENCRYPT

          public static final CipherOperationMode ENCRYPT

    - #### DECRYPT

          public static final CipherOperationMode DECRYPT

  - ### Method Detail

    - #### values

          public static CipherOperationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CipherOperationMode c : CipherOperationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CipherOperationMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null